      ******************************************************************
      **                                                              **
      **  Program name:  CMQDLHL                                      **
      **                                                              **
      **  Description:   This file declares the MQDLH structure,      **
      **                 which is part of IBM Message Queue Interface **
      **                 (MQI) in the Windows NT environment.         **
      **                                                              **
      ** Licensed Materials - Property of IBM                         **
      ** 63H9336                                                      **
      ** (C) Copyright IBM Corp. 1994,1996.                           **
      **                                                              **
      **  Status:        Version 2 Release 0                          **
      **                                                              **
      ******************************************************************

      **   MQDLH structure
        10 MQDLH.
      **    Structure identifier
         15 MQDLH-STRUCID        PIC X(4).
      **    Structure version number
         15 MQDLH-VERSION        PIC S9(9) BINARY.
      **    Reason message arrived on dead-letter (undelivered-message)
      **    queue
         15 MQDLH-REASON         PIC S9(9) BINARY.
      **    Name of original destination queue
         15 MQDLH-DESTQNAME      PIC X(48).
      **    Name of original destination queue manager
         15 MQDLH-DESTQMGRNAME   PIC X(48).
      **    Original data encoding
         15 MQDLH-ENCODING       PIC S9(9) BINARY.
      **    Original coded character set identifier
         15 MQDLH-CODEDCHARSETID PIC S9(9) BINARY.
      **    Original format name
         15 MQDLH-FORMAT         PIC X(8).
      **    Type of application that put message on dead-letter
      **    (undelivered-message) queue
         15 MQDLH-PUTAPPLTYPE    PIC S9(9) BINARY.
      **    Name of application that put message on dead-letter
      **    (undelivered-message) queue
         15 MQDLH-PUTAPPLNAME    PIC X(28).
      **    Date when message was put on dead-letter
      **    (undelivered-message) queue
         15 MQDLH-PUTDATE        PIC X(8).
      **    Time when message was put on the dead-letter
      **    (undelivered-message) queue
         15 MQDLH-PUTTIME        PIC X(8).

